<_templates Include="trucks">
	<Wheel>
		<TrailerWheel
			DefaultWheelType="Wheels_gaz51_paz"
			HardpointOffsetY="-0.2"
			SuspensionMin="-0.3"
		/>
	</Wheel>
</_templates>
<Truck>
	<Wheels
		HardpointDefaultY="0.513"
		HardpointDefaultZ="0.928"
	>
		<Wheel
			_template="TrailerWheel"
			HardpointX="-4.928"
			SuspensionStrength="0.01"
		/>
		<Wheel
			_template="TrailerWheel"
			HardpointX="-4.928"
			RightSide="true"
			SuspensionStrength="0.01"
		/>
	</Wheels>
	<TruckData RepairsCapacity="300">
		<OcclusionMap
			HalfSizeZ="1.8"
			MinX="-6.062"
			MaxX="-3.408"
			Texture="trucks/occlusion/chassis_small__d_a_uncmp.tga"
		/>
		<Constraint _template="TrailerRagdoll" />
		<Camera Center="(-4.0; 0; 0)" />
		<Axles>
			<Axle Frame="BoneAxle" LeftWheel="0" RightWheel="1" />
		</Axles>
	</TruckData>
	<PoweredConstraints>
		<Group Id="foot_push">
			<Constraint Name="Foot" Position="60" TerminalFix="true" />
		</Group>
	</PoweredConstraints>
	<PhysicsModel Mesh="trucks/trailer_gaz">
		<Model Dir="(0; 1; 0)" Mesh="wheels/gaz_rear" Org="(-3.837; 0.634; 0)" />
		<Body ImpactType="Truck" Mass="1200">
			<Body Collisions="None" Mass="10" ModelFrame="BoneRoof_cdt">
				<Constraint
					AxisLocal="(1; 0; 0)"
					MinLimit="-10"
					MaxLimit="10"
					Type="Hinge"
				>
					<Motor Damping="100" Spring="2000" Type="Spring" />
				</Constraint>
			</Body>
			<Body
				ForceBodyParams="true"
				Mass="100"
				ModelFrame="BoneFoot_cdt"
				NoFoliageCollisions="true"
			>
				<Constraint
					AxisLocal="(0; 0; 1)"
					MinLimit="0"
					MaxLimit="60"
					Name="Foot"
					Type="Hinge"
				>
					<Motor Force="8000" Type="Position" />
				</Constraint>
			</Body>
		</Body>
	</PhysicsModel>
	<ModelAttachments>
		<StopSignals>
			<Light _template="StopSignal" Pos="(-5.793; 0.903; 0)" ParentFrame="BoneRear_cdt" />
			<Flare
				_template="StopSignal"
				Pos="(-5.993; 0.903; 0.796)"
				ParentFrame="BoneRear_cdt"
				Size="0.15"
				SizeAtDay="0.1"
			/>
			<Flare
				_template="StopSignal"
				Pos="(-5.993; 0.903; -0.796)"
				ParentFrame="BoneRear_cdt"
				Size="0.15"
				SizeAtDay="0.1"
			/>
		</StopSignals>
		<Ignition>
			<Flare
				_template="RedSignal"
				Pos="(-5.993; 0.903; 0.735)"
				ParentFrame="BoneRear_cdt"
				Size="0.3"
				SizeAtDay="0.2"
			/>
			<Flare
				_template="RedSignal"
				Pos="(-5.993; 0.903; -0.735)"
				ParentFrame="BoneRear_cdt"
				Size="0.3"
				SizeAtDay="0.2"
			/>
		</Ignition>
	</ModelAttachments>
	<GameData GaragePoints="1">
		<InstallSocket Offset="(-2.46; 0.908; 0.0)" Type="pricep_benzovoz_gaz53" />
	</GameData>
</Truck>
